org.apache.commons.compress.harmony.pack200

## Class CpBands

- java.lang.Object
- - org.apache.commons.compress.harmony.pack200.BandSet
  - - org.apache.commons.compress.harmony.pack200.CpBands

-     public class CpBands
      extends BandSet

  Pack200 Constant Pool Bands

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.commons.compress.harmony.pack200.BandSet

      `BandSet.BandAnalysisResults, BandSet.BandData`

  - ### Field Summary

    - ### Fields inherited from class org.apache.commons.compress.harmony.pack200.BandSet

      `segmentHeader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CpBands(Segment segment, int effort)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCPClass(String className)`
    `boolean` | `existsCpClass(String className)`
    `void` | `finaliseBands()` All input classes for the segment have now been read in, so this method is called so that this class can calculate/complete anything it could not do while classes were being read.
    `CPConstant<?>` | `getConstant(Object value)`
    `CPClass` | `getCPClass(String className)`
    `CPMethodOrField` | `getCPField(CPClass cpClass, String name, String desc)`
    `CPMethodOrField` | `getCPField(String owner, String name, String desc)`
    `CPMethodOrField` | `getCPIMethod(CPClass cpClass, String name, String desc)`
    `CPMethodOrField` | `getCPIMethod(String owner, String name, String desc)`
    `CPMethodOrField` | `getCPMethod(CPClass cpClass, String name, String desc)`
    `CPMethodOrField` | `getCPMethod(String owner, String name, String desc)`
    `CPNameAndType` | `getCPNameAndType(String name, String signature)`
    `CPSignature` | `getCPSignature(String signature)`
    `CPUTF8` | `getCPUtf8(String utf8)`
    `void` | `pack(OutputStream out)` Write the packed set of bands to the given output stream

    - ### Methods inherited from class org.apache.commons.compress.harmony.pack200.BandSet

      `cpEntryListToArray, cpEntryOrNullListToArray, encodeBandInt, encodeFlags, encodeFlags, encodeScalar, encodeScalar, integerListToArray, longListToArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CpBands

          public CpBands(Segment segment,
                         int effort)

  - ### Method Detail

    - #### addCPClass

          public void addCPClass(String className)

    - #### existsCpClass

          public boolean existsCpClass(String className)

    - #### finaliseBands

          public void finaliseBands()

      All input classes for the segment have now been read in, so this method is called so that this class can calculate/complete anything it could not do while classes were being read.

    - #### getConstant

          public CPConstant<?> getConstant(Object value)

    - #### getCPClass

          public CPClass getCPClass(String className)

    - #### getCPField

          public CPMethodOrField getCPField(CPClass cpClass,
                                            String name,
                                            String desc)

    - #### getCPField

          public CPMethodOrField getCPField(String owner,
                                            String name,
                                            String desc)

    - #### getCPIMethod

          public CPMethodOrField getCPIMethod(CPClass cpClass,
                                              String name,
                                              String desc)

    - #### getCPIMethod

          public CPMethodOrField getCPIMethod(String owner,
                                              String name,
                                              String desc)

    - #### getCPMethod

          public CPMethodOrField getCPMethod(CPClass cpClass,
                                             String name,
                                             String desc)

    - #### getCPMethod

          public CPMethodOrField getCPMethod(String owner,
                                             String name,
                                             String desc)

    - #### getCPNameAndType

          public CPNameAndType getCPNameAndType(String name,
                                                String signature)

    - #### getCPSignature

          public CPSignature getCPSignature(String signature)

    - #### getCPUtf8

          public CPUTF8 getCPUtf8(String utf8)

    - #### pack

          public void pack(OutputStream out)
                    throws IOException,
                           Pack200Exception

      Description copied from class: `BandSet`
      Write the packed set of bands to the given output stream
      Specified by:
        `pack` in class `BandSet`
      Parameters:
        `out` - TODO
      Throws:
        `IOException` - If an I/O error occurs.
        `Pack200Exception` - TODO

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.